## haskell-utils 1.4

=== Makefile ===

.PHONY: all install clean compiler_name

prefix := /usr/local
libdir := $(prefix)/lib
COMPILER := $(firstword $(wildcard /usr/bin/ghc /usr/bin/nhc98 /usr/bin/hugs))
COMPILER_NAME := $(notdir $(COMPILER))
COMPILER_FLAGS := -O2 -Wall

all: haskell-utils haskell-utils.1

haskell-utils: haskell-utils.lhs
ifeq "$(COMPILER_NAME)" "hugs"
	(echo "#!/usr/bin/runhugs +l"; cat haskell-utils.lhs) > haskell-utils
	chmod +x haskell-utils
else
	$(COMPILER) $(COMPILER_FLAGS) haskell-utils.lhs -o haskell-utils
endif

install: haskell-utils
	install -d $(prefix)/sbin/
	install haskell-utils $(prefix)/sbin/haskell-utils
	install -d $(libdir)/haskell-utils/

clean:
	rm -f *.o *.hi haskell-utils haskell-utils.1

haskell-utils.1: haskell-utils.1.in
	sed "s#@libdir@#$(libdir)#g" < haskell-utils.1.in > haskell-utils.1

compiler_name:
	@echo $(COMPILER_NAME)

=== debian/changelog ===
haskell-utils (1.4) unstable; urgency=low

  * The "remove compiler" actions when replacing an existing entry must
    be done before re-adding the compiler.
  * Remove -Werror from Makefile as some older compilers don't like it.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 20 Dec 2003 21:19:33 +0000

haskell-utils (1.3) unstable; urgency=low

  * Reinstate the "compiler_name" make target which was incorrectly
    removed. Closes: #217202.
  * Only fail due to misbehaving programs if -e is given.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 13 Nov 2003 18:23:16 +0000

haskell-utils (1.2) unstable; urgency=low

  * Only add the #! line is compiling for hugs as it confuses nhc98.
  * compilers info should be in /var/lib, not /usr/lib

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 11 Oct 2003 14:24:47 +0000

haskell-utils (1.1) unstable; urgency=low

  * Add arch lists for the Haskell compilers that are build-depped on as
    the autobuilders don't cope if the first isn't available otherwise.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 11 Oct 2003 10:52:05 +0000

haskell-utils (1.0) unstable; urgency=low

  * Initial release.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 30 Sep 2003 11:42:52 +0000

=== debian/control ===
Source: haskell-utils
Section: devel
Priority: optional
Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 4), ghc6 [i386 ia64 sparc alpha s390 hppa powerpc] | ghc5 [i386] | ghc4 [i386] | nhc98 [arm hppa i386 mips mipsel powerpc s390 sparc] | hugs

Package: haskell-utils
Architecture: any
Depends: ${hugs}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ghc6 | ghc5 | ghc4 | nhc98 | hugs
Description: Utilities used by the Debian Haskell packages
 Provides utilities for Debian Haskell packages. Currently this is a
 utility haskell-utils that allows compilers and tools interested in
 what compilers are avilable to inform each other of their presence.
 .
 You should never need to install this package directly; it should be
 pulled in by dependencies when needed.

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess. 
# Adapted for haskell-utils by Ian Lynagh.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) prefix=/usr libdir=/var/lib

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

ifeq "$(shell $(MAKE) compiler_name)" "hugs"
	echo 'hugs=hugs' >> debian/haskell-utils.substvars
else
	echo 'hugs=' >> debian/haskell-utils.substvars
endif
	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr libdir=`pwd`/debian/`dh_listpackages`/var/lib install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman haskell-utils.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## haskell-utils 1.6

=== debian/changelog ===
haskell-utils (1.6) unstable; urgency=low

  * Don't allow ghc4 to satisfy the build-dep as it doesn't have Text.Regex.
  * Implement a simple RE matcher for nhc98, and special case some of the
    building stuff for it.
  * Build-deps need hmake when we are using nhc98.
  * Give the nhc98 binary a larger default heap size (10M up from 400k).
  * Build-depend on cpphs (used for some of the nhc98 magic).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 31 Oct 2004 00:51:14 +0000

haskell-utils (1.5) unstable; urgency=low

  * Update version numbers and copyright everywhere.
  * Capitalise 'H' in "Haskell" in haskell-utils manpage.
  * Implement update-haskell-control.
  * Write manpage for update-haskell-control.
  * Various build-system changes and tweaks.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 16 Oct 2004 23:10:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: debhelper (>= 4), ghc6 [i386 ia64 sparc alpha s390 hppa powerpc] | ghc5 [i386] | ghc4 [i386] | nhc98 [arm hppa i386 mips mipsel powerpc s390 sparc] | hugs
+Build-Depends: debhelper (>= 4), ghc6 [alpha hppa i386 ia64 m68k powerpc s390 sparc] | ghc5 [i386] | nhc98 [arm hppa i386 m68k mips mipsel powerpc s390 sparc] | hugs [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc] | ghc6 | ghc5 | nhc98 | hugs, ghc6 [alpha hppa i386 ia64 m68k powerpc s390 sparc] | ghc5 [i386] | hmake [arm hppa i386 m68k mips mipsel powerpc s390 sparc] | hugs [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc] | ghc6 | ghc5 | hmake | hugs, cpphs
 
 Package: haskell-utils
 Architecture: any

## haskell-utils 1.6.0.1

=== debian/changelog ===
haskell-utils (1.6.0.1) unstable; urgency=low

  * Non-maintainer upload.
  * C++ ABI transition: It's linked against libgmp3 and needs rebuild.
    Change build dependency order to prefer hugs over ghc6 since that is
    the only alternative that currently is installable.
    This also has as effect that the libgmp3 dependency gets dropped.
    (Closes: #319811)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri,  2 Sep 2005 18:58:29 +0200

=== debian/control ===
Source: haskell-utils
Section: devel
Priority: optional
Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 4), hugs | ghc6 [alpha hppa i386 ia64 m68k powerpc s390 sparc] | ghc5 [i386] | nhc98 [arm hppa i386 m68k mips mipsel powerpc s390 sparc] | hugs [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc] | ghc6 | ghc5 | nhc98, hugs | ghc6 [alpha hppa i386 ia64 m68k powerpc s390 sparc] | ghc5 [i386] | hmake [arm hppa i386 m68k mips mipsel powerpc s390 sparc] | hugs [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc] | ghc6 | ghc5 | hmake, cpphs

Package: haskell-utils
Architecture: any
Depends: ${hugs}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ghc6 | ghc5 | ghc4 | nhc98 | hugs
Description: Utilities used by the Debian Haskell packages
 Provides utilities for Debian Haskell packages. Currently this is a
 utility haskell-utils that allows compilers and tools interested in
 what compilers are avilable to inform each other of their presence.
 .
 You should never need to install this package directly; it should be
 pulled in by dependencies when needed.

## haskell-utils 1.6.0.1ubuntu2

=== Makefile ===

.PHONY: all install clean compiler_name

version=1.6
prefix := /usr/local
libdir := $(prefix)/lib
localstatedir := $(prefix)/lib
COMPILER := $(shell \
    if [ -e /usr/bin/ghc6 ]; then echo /usr/bin/ghc6; \
  elif [ -e /usr/bin/ghc5 ]; then echo /usr/bin/ghc5; \
  elif [ -e /usr/bin/nhc98 ] && \
       [ -e /usr/bin/hmake ]; then echo /usr/bin/nhc98; \
  elif [ -e /usr/bin/hugs ]; then echo /usr/bin/hugs; \
  else exit 1; fi)
COMPILER_NAME := $(notdir $(COMPILER))
COMPILER_FLAGS := -O2 -Wall

PROGRAMS=haskell-utils update-haskell-control
SOURCES=$(addsuffix .lhs,$(PROGRAMS))
MANPAGES=$(addsuffix .1,$(PROGRAMS))

all: $(PROGRAMS) $(MANPAGES)

$(PROGRAMS): %: %.lhs
ifeq "$(COMPILER_NAME)" "hugs"
	(echo "#!/usr/bin/runhugs +l"; cat $<) > $@
	chmod +x $@
else
ifeq "$(COMPILER_NAME)" "nhc98"
	HFLAGS="-H10M" /usr/bin/hmake -hc=/usr/bin/nhc98 -package base $(COMPILER_FLAGS) $@
else
	$(COMPILER) $(COMPILER_FLAGS) $< -o $@
endif
endif

$(SOURCES) $(MANPAGES): %: %.in
	cpphs -DCOMPILER$(COMPILER_NAME) $< \
	 | sed -e "s@^#line.*@@" \
	       -e "s#@version@#$(version)#g" \
	       -e "s#@libdir@#$(libdir)#g" \
	       -e "s#@localstatedir@#$(localstatedir)#g" \
	 > $@

install: $(PROGRAMS)
	install -d $(prefix)/sbin/
	install -d $(prefix)/bin/
	install haskell-utils $(prefix)/sbin/
	install update-haskell-control $(prefix)/bin/
	install -d $(localstatedir)/haskell-utils/

clean:
	rm -f *.o *.hi $(PROGRAMS) $(MANPAGES) $(SOURCES)

compiler_name:
	@echo $(COMPILER_NAME)

=== debian/changelog ===
haskell-utils (1.6.0.1ubuntu2) dapper; urgency=low

  * debian/control: Use ghc6 and only ghc6 for building. Thus, you won't
    need to have hugs installed when installing ghc6.
    (See debian BTS: #333534).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun,  9 Apr 2006 16:46:15 +0200

haskell-utils (1.6.0.1ubuntu1) dapper; urgency=low

  * Delete file with compiler-entries, if it holds only empty list.
    Thus haskell-utils can be purged cleanly (DBTS: #328331).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Thu, 29 Dec 2005 21:12:23 +0100

=== debian/control ===
Source: haskell-utils
Section: devel
Priority: optional
Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 4), ghc6, hmake, cpphs

Package: haskell-utils
Architecture: any
Depends: ${hugs}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ghc6 | ghc5 | ghc4 | nhc98 | hugs
Description: Utilities used by the Debian Haskell packages
 Provides utilities for Debian Haskell packages. Currently this is a
 utility haskell-utils that allows compilers and tools interested in
 what compilers are avilable to inform each other of their presence.
 .
 You should never need to install this package directly; it should be
 pulled in by dependencies when needed.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 build-stamp:
 	dh_testdir
 
-	$(MAKE) prefix=/usr libdir=/var/lib
+	$(MAKE) prefix=/usr localstatedir=/var/lib
 
 	touch build-stamp
 
@@ -33,7 +33,7 @@
 else
 	echo 'hugs=' >> debian/haskell-utils.substvars
 endif
-	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr libdir=`pwd`/debian/`dh_listpackages`/var/lib install
+	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr localstatedir=`pwd`/debian/`dh_listpackages`/var/lib install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -58,7 +58,7 @@
 #	dh_installcron
 #	dh_installinfo
 #	dh_undocumented
-	dh_installman haskell-utils.1
+	dh_installman haskell-utils.1 update-haskell-control.1
 	dh_link
 	dh_strip
 	dh_compress

## haskell-utils 1.7

=== Makefile ===

.PHONY: all install clean compiler_name

version=1.7
prefix := /usr/local
libdir := $(prefix)/lib
localstatedir := $(prefix)/lib
COMPILER := $(firstword $(shell bash -c "type -p ghc6 ghc hugs"))
COMPILER_NAME := $(notdir $(COMPILER))

GHC_FLAGS := -O2 -Wall -package regex-compat

PROGRAMS=haskell-utils update-haskell-control
SOURCES=$(addsuffix .lhs,$(PROGRAMS))
MANPAGES=haskell-utils.8 update-haskell-control.1

all: $(PROGRAMS) $(MANPAGES)

$(PROGRAMS): %: %.lhs
ifeq "$(COMPILER_NAME)" "hugs"
	(echo "#!/usr/bin/runhugs +l"; cat $<) > $@
	chmod +x $@
else
	$(COMPILER) $(GHC_FLAGS) $< -o $@
endif

$(SOURCES) $(MANPAGES): %: %.in
	sed -e "s@^#line.*@@" \
	    -e "s#@version@#$(version)#g" \
	    -e "s#@libdir@#$(libdir)#g" \
	    -e "s#@localstatedir@#$(localstatedir)#g" \
	 < $< > $@

install: $(PROGRAMS)
	install -d $(prefix)/sbin/
	install -d $(prefix)/bin/
	install haskell-utils $(prefix)/sbin/
	install update-haskell-control $(prefix)/bin/
	install -d $(localstatedir)/haskell-utils/

clean:
	rm -f *.o *.hi $(PROGRAMS) $(MANPAGES) $(SOURCES)

compiler_name:
	@echo $(COMPILER_NAME)

=== debian/changelog ===
haskell-utils (1.7) unstable; urgency=low

  * Remove nhc98 compilation option as it is no longer in the archive.
  * Remove nhc98 ifdefs, and thus the need for CPP. Remove build-dep on
    cpphs.
  * Remove redundant RE.hs REParser.hs StateM.hs (were only used for
    nhc98).
  * Change build-deps to always require ghc6.
    Closes: #332978, #333534, #327280.
  * Don't suggest implementations that are no longer in the archive.
  * Apply patch from Stefan Potyra to remove the compiler file when it
    is empty, thus fixing droppings in /var/lib/haskell-utils.
    Closes: #328331.
  * Apply patch from Simon Waters to fix a typo in the package description.
  * Move haskell-utils manpage to section 8. Closes: #315681.
  * Bump standards version to 3.7.2.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 04 Dec 2006 19:38:44 +0000

haskell-utils (1.6.0.2) unstable; urgency=low

  * Non-maintainer upload.
  * When building with ghc6, pass "-package regex-compat" to compiler.
   Closes: #393821.

 -- Dafydd Harries <daf@debian.org>  Sat, 28 Oct 2006 13:58:36 +0100

=== debian/control ===
Source: haskell-utils
Section: devel
Priority: optional
Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4), ghc6

Package: haskell-utils
Architecture: any
Depends: ${hugs}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ghc6 | hugs
Description: Utilities used by the Debian Haskell packages
 Provides utilities for Debian Haskell packages. Currently this is a
 utility haskell-utils that allows compilers and tools interested in
 what compilers are available to inform each other of their presence.
 .
 You should never need to install this package directly; it should be
 pulled in by dependencies when needed.

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 #	dh_installcron
 #	dh_installinfo
 #	dh_undocumented
-	dh_installman haskell-utils.1 update-haskell-control.1
+	dh_installman haskell-utils.8 update-haskell-control.1
 	dh_link
 	dh_strip
 	dh_compress

## haskell-utils 1.9

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,26 @@
 
 .PHONY: all install clean compiler_name
 
-version=1.7
+version=1.9
 prefix := /usr/local
 libdir := $(prefix)/lib
 localstatedir := $(prefix)/lib
+
+mylibdir := $(libdir)/haskell-utils
+
 COMPILER := $(firstword $(shell bash -c "type -p ghc6 ghc hugs"))
 COMPILER_NAME := $(notdir $(COMPILER))
 
-GHC_FLAGS := -O2 -Wall -package regex-compat
+GHC_FLAGS := -O -Wall -Werror
+GHC_FLAGS += -package regex-base -package regex-posix -package Cabal
 
-PROGRAMS=haskell-utils update-haskell-control
+USER_PROGRAMS=update-haskell-control update-debian-haskell-files
+SYSTEM_PROGRAMS=haskell-utils
+PROGRAMS=$(USER_PROGRAMS) $(SYSTEM_PROGRAMS)
 SOURCES=$(addsuffix .lhs,$(PROGRAMS))
-MANPAGES=haskell-utils.8 update-haskell-control.1
+MANPAGES=$(addsuffix .1,$(USER_PROGRAMS)) $(addsuffix .8,$(SYSTEM_PROGRAMS))
+
+SCRIPT_VERSION=$(shell cd scripts && ls -1 | sort -rn | head -n 1 )
 
 all: $(PROGRAMS) $(MANPAGES)
 
@@ -34,9 +42,16 @@
 install: $(PROGRAMS)
 	install -d $(prefix)/sbin/
 	install -d $(prefix)/bin/
-	install haskell-utils $(prefix)/sbin/
-	install update-haskell-control $(prefix)/bin/
+	install -m 755 $(USER_PROGRAMS)   $(prefix)/bin/
+	install -m 755 $(SYSTEM_PROGRAMS) $(prefix)/sbin/
+	install -d $(mylibdir)/
 	install -d $(localstatedir)/haskell-utils/
+	install -d $(mylibdir)/varfiles/
+	install -m 644 haskell-utils-common_varfile $(mylibdir)/varfiles/
+	install -d $(mylibdir)/scripts
+	set -e; for i in scripts/*; do install -d $(mylibdir)/$$i; done
+	set -e; for i in scripts/*/*; do install -m 755 $$i $(mylibdir)/$$i; done
+	ln -s $(SCRIPT_VERSION) $(mylibdir)/scripts/current
 
 clean:
 	rm -f *.o *.hi $(PROGRAMS) $(MANPAGES) $(SOURCES)

=== debian/changelog ===
haskell-utils (1.9) unstable; urgency=low

  * Move haskell-utils-common_varfile from /usr/lib/haskell-utils/ to
    /usr/lib/haskell-utils/varfiles/.
  * Add function syntax &{foo:bar}, and define a canonicalise-comma-list
    function.
  * Change the versions for the generic Debian packaging scripts
    to be n rather than 0.n so that sort -n works properly with them.
  * Put the generic Debian packaging scripts in the package
    (/usr/lib/haskell-utils/scripts/{3,4,5,6,7,8,current})
    and write a program update-debian-haskell-files to copy them into the
    right places for the package in .
  * Changes in Debian packaging scripts 8 over 7:
    * update-generated-files rule in debian/rules runs
      update-debian-haskell-files.
    * Build-dep on haddock >= 0.8-2 in order to get portable .haddock files.
    * We tell Cabal's configure where to put the docs so that it doesn't
      break when we move them around behind its back.
    * Use canonicalise-comma-list around the build-deps in debian/control.in
      to fix problems where we get an unparsable ", , " when a variable is
      empty.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 24 May 2007 11:39:24 +0000

haskell-utils (1.8) unstable; urgency=low

  * Default to -O rather than -O2
  * Use -Werror by default
  * Refactor failures to all use a die function.
  * Read all varfiles rather than having a list that we expect to exist.
  * varfiles should now go in /usr/lib/haskell-utils/varfiles/
    rather than /usr/lib/haskell-utils/; the latter still works, but is
    deprecated.
  * Also look for varfiles in debian/varfiles/ by default.
  * Implement some magic file variables: 
    * this:source
    * this:ghc6:dev
    * this:ghc6:prof
    * this:ghc6:doc
    * cabal:deps:ghc6:dev
    * cabal:deps:ghc6:prof
    * cabal:deps:ghc6:doc
    We now use the Cabal package, for getting the values to put in the
    above.
  * Use regex-base and regex-posix rather than regex-compat.
  * Implementation generally tweaked and improved.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 09 May 2007 19:12:32 +0000

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,9 @@
 #	dh_installcron
 #	dh_installinfo
 #	dh_undocumented
-	dh_installman haskell-utils.8 update-haskell-control.1
+	dh_installman haskell-utils.8 \
+	              update-haskell-control.1 \
+	              update-debian-haskell-files.1
 	dh_link
 	dh_strip
 	dh_compress

## haskell-utils 1.10ubuntu3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 .PHONY: all install clean compiler_name
 
-version=1.9
+version=1.10
 prefix := /usr/local
 libdir := $(prefix)/lib
 localstatedir := $(prefix)/lib
@@ -12,13 +12,18 @@
 COMPILER_NAME := $(notdir $(COMPILER))
 
 GHC_FLAGS := -O -Wall -Werror
-GHC_FLAGS += -package regex-base -package regex-posix -package Cabal
+GHC_FLAGS += -package Cabal
 
-USER_PROGRAMS=update-haskell-control update-debian-haskell-files
-SYSTEM_PROGRAMS=haskell-utils
-PROGRAMS=$(USER_PROGRAMS) $(SYSTEM_PROGRAMS)
-SOURCES=$(addsuffix .lhs,$(PROGRAMS))
-MANPAGES=$(addsuffix .1,$(USER_PROGRAMS)) $(addsuffix .8,$(SYSTEM_PROGRAMS))
+USER_PROGRAMS   := update-haskell-control update-debian-haskell-files
+SYSTEM_PROGRAMS := haskell-utils
+
+PROGRAMS           := $(USER_PROGRAMS) $(SYSTEM_PROGRAMS)
+SOURCES            := $(addsuffix .lhs,$(PROGRAMS))
+MANPAGES           := $(addsuffix .1,$(USER_PROGRAMS)) \
+                      $(addsuffix .8,$(SYSTEM_PROGRAMS))
+SCRIPT_ALL         := $(wildcard scripts/*/*)
+SCRIPT_EXECUTABLES := $(filter     %/rules %post% %pre%, $(SCRIPT_ALL))
+SCRIPT_DATA        := $(filter-out %/rules %post% %pre%, $(SCRIPT_ALL))
 
 SCRIPT_VERSION=$(shell cd scripts && ls -1 | sort -rn | head -n 1 )
 
@@ -49,8 +54,10 @@
 	install -d $(mylibdir)/varfiles/
 	install -m 644 haskell-utils-common_varfile $(mylibdir)/varfiles/
 	install -d $(mylibdir)/scripts
-	set -e; for i in scripts/*; do install -d $(mylibdir)/$$i; done
-	set -e; for i in scripts/*/*; do install -m 755 $$i $(mylibdir)/$$i; done
+	#set -e; for i in scripts/*; do install -d $(mylibdir)/$$i; done
+	#set -e; for i in $(SCRIPT_DATA);        do install -m 644 $$i $(mylibdir)/$$i; done
+	cp -a scripts $(mylibdir)
+	#set -e; for i in $(SCRIPT_EXECUTABLES); do install -m 755 $$i $(mylibdir)/$$i; done
 	ln -s $(SCRIPT_VERSION) $(mylibdir)/scripts/current
 
 clean:

=== debian/changelog ===
haskell-utils (1.10ubuntu3) hardy; urgency=low

  * debian/control: switch back build-dependency to ghc6, now that
    ghc6 has been built on lpia (LP: #208780). Note to mergers: 
    There is no longer an Ubuntu delta, please sync!

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun, 30 Mar 2008 04:49:36 +0200

haskell-utils (1.10ubuntu2) hardy; urgency=low

  * bootstrap only upload: drop build-dependency on ghc6, and have only 
    hugs in there. This reopens a bug that ghc6 draws in hugs. This upload
    should go away after bootstrapping lpia :).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Mar 2008 22:44:33 +0100

haskell-utils (1.10ubuntu1) hardy; urgency=low

  * Add an alternate build-dependency on hugs for bootstrapping lpia.
    This should go away, once lpia's ghc6 is up.
  * debian/control: update maintainer field as per spec.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Mar 2008 22:23:38 +0100

haskell-utils (1.10) unstable; urgency=low

  * Update for the changes to the Cabal library in GHC 6.8.1.
  * The ghc6 build-dep now requires a minimum version of 6.8.1.
  * Don't ignore the result code when running "make clean".
  * Add a suggests on make.
  * The regex libraries are now all separate libraries, so rewrite
    to not need them (fixing a bootstrapping issue).
  * We filter Win32 out of the deps, as currently we just flatten the
    package description rather than telling it what flags to use.
  * Changes in Debian packaging scripts 9 over 8:
    * Allows Setup to be in Setup.lhs instead of Setup.hs.
    * Bump the required haskell-utils from 1.8 to 1.10.
    * The control.in gives a standards-version of 3.7.3 (was 3.7.2).
    * Move everything from the devel section to the libdevel section.
    * Delete the LICENSE file (currently we assume it has that name, and
      that it exists) after "Setup copy"ing the Cabal package.
    * Remove some hacks that worked around older Cabal not letting us
      tell it exactly where to put the documentation.
    * Use --hyperlink-source when telling Cabal to haddock the library.
    * Add hscolour to the build-depends.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 21 Nov 2007 17:53:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: haskell-utils
 Section: devel
 Priority: optional
-Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4), ghc6
+XSBC-Original-Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 4), ghc6 (>= 6.8.2)
 
 Package: haskell-utils
 Architecture: any
 Depends: ${hugs}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: ghc6 | hugs
+Suggests: ghc6 | hugs, make
 Description: Utilities used by the Debian Haskell packages
  Provides utilities for Debian Haskell packages. Currently this is a
  utility haskell-utils that allows compilers and tools interested in

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_testroot
 	rm -f build-stamp
 
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## haskell-utils 1.11

=== debian/changelog ===
haskell-utils (1.11) unstable; urgency=low

  * We now make tight (build-)deps for the Cabal packages we depend on.
    This means that we can't have problems caused by cross-module
    inlining, or even Cabal version numbers becoming mismatched.
    Closes: #432799.
  * Ignore dotfiles in varfile directories.
    In particular, this means that we ignore things like vim swapfiles.
    Closes: #445627.
  * Fix the doc directory used in libghc6-PACKAGE-doc.postrm.
    Closes: #463998.
  * Move the ghc6 version dependency logic into this package, and
    ignore what the ghc6 package tells us. This allows us to vary it,
    in particular make changes to the supported arches list, without
    having to do another ghc6 build on all platforms.
  * All platforms now support ghc6, so make library build-deps just
        ghc6 (>= 6.8.2),                ghc6 (<< 6.8.2+)
    rather than
        ghc6 (>= 6.8.2) [$ghc6_arches], ghc6 (<< 6.8.2+) [$ghc6_arches]
  * Changes in Debian packaging scripts 10 over 9:
    * We now use ${impl:ghc6:lib_build_deps} rather than ${ghc6_lib_bdeps}.
      Closes: #460077.
    * We now use ${impl:ghc6:*_deps} rather than ${ghc6_*_deps} and
      hardcoded, unversioned deps.
    * Call canonicalise-comma-list on the depends and suggests fields in
      control.in. This works around bugs in lintian, where it gets
      confused and starts giving spurious warnings.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 21 Feb 2008 02:30:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: haskell-utils
 Section: devel
 Priority: optional
-XSBC-Original-Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 4), ghc6 (>= 6.8.2)
+Build-Depends: debhelper (>= 4), ghc6 (>= 6.8.1)
 
 Package: haskell-utils
 Architecture: any
